# Generated by Django 2.1.2 on 2018-11-13 05:15

from django.db import migrations, models
import edc_model.validators.date
import edc_protocol.validators


class Migration(migrations.Migration):

    dependencies = [("ambition_subject", "0037_auto_20181112_2012")]

    operations = [
        migrations.AddField(
            model_name="historicalmicrobiology",
            name="csf_genexpert_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[
                    edc_protocol.validators.date_not_before_study_start,
                    edc_model.validators.date.date_not_future,
                ],
                verbose_name="Date CSF Gene-Xpert taken",
            ),
        ),
        migrations.AddField(
            model_name="historicalmicrobiology",
            name="csf_genexpert_performed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=15,
                verbose_name="CSF Gene-Xpert performed?",
            ),
        ),
        migrations.AddField(
            model_name="historicalmicrobiology",
            name="csf_result_genexpert",
            field=models.CharField(
                choices=[
                    (
                        "mtb_detected_rif_resistance_detected",
                        "MTB DETECTED & Rif Resistance DETECTED",
                    ),
                    (
                        "mtb_detected_rif_resistance_not_detected",
                        "MTB DETECTED & Rif Resistance NOT detected",
                    ),
                    (
                        "mtb_detected_rif_resistance_indeterminate",
                        "MTB DETECTED & Rif Resistance INDETERMINATE",
                    ),
                    ("mtb_not_detected", "MTB NOT detected"),
                    ("N/A", "Not applicable"),
                ],
                default="N/A",
                max_length=45,
                verbose_name="CSF Gene-Xpert results",
            ),
        ),
        migrations.AddField(
            model_name="microbiology",
            name="csf_genexpert_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[
                    edc_protocol.validators.date_not_before_study_start,
                    edc_model.validators.date.date_not_future,
                ],
                verbose_name="Date CSF Gene-Xpert taken",
            ),
        ),
        migrations.AddField(
            model_name="microbiology",
            name="csf_genexpert_performed",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                max_length=15,
                verbose_name="CSF Gene-Xpert performed?",
            ),
        ),
        migrations.AddField(
            model_name="microbiology",
            name="csf_result_genexpert",
            field=models.CharField(
                choices=[
                    (
                        "mtb_detected_rif_resistance_detected",
                        "MTB DETECTED & Rif Resistance DETECTED",
                    ),
                    (
                        "mtb_detected_rif_resistance_not_detected",
                        "MTB DETECTED & Rif Resistance NOT detected",
                    ),
                    (
                        "mtb_detected_rif_resistance_indeterminate",
                        "MTB DETECTED & Rif Resistance INDETERMINATE",
                    ),
                    ("mtb_not_detected", "MTB NOT detected"),
                    ("N/A", "Not applicable"),
                ],
                default="N/A",
                max_length=45,
                verbose_name="CSF Gene-Xpert results",
            ),
        ),
        migrations.AlterField(
            model_name="historicalmicrobiology",
            name="sputum_result_genexpert",
            field=models.CharField(
                choices=[
                    (
                        "mtb_detected_rif_resistance_detected",
                        "MTB DETECTED & Rif Resistance DETECTED",
                    ),
                    (
                        "mtb_detected_rif_resistance_not_detected",
                        "MTB DETECTED & Rif Resistance NOT detected",
                    ),
                    (
                        "mtb_detected_rif_resistance_indeterminate",
                        "MTB DETECTED & Rif Resistance INDETERMINATE",
                    ),
                    ("mtb_not_detected", "MTB NOT detected"),
                    ("N/A", "Not applicable"),
                ],
                default="N/A",
                max_length=45,
                verbose_name="Sputum Gene-Xpert results",
            ),
        ),
        migrations.AlterField(
            model_name="microbiology",
            name="sputum_result_genexpert",
            field=models.CharField(
                choices=[
                    (
                        "mtb_detected_rif_resistance_detected",
                        "MTB DETECTED & Rif Resistance DETECTED",
                    ),
                    (
                        "mtb_detected_rif_resistance_not_detected",
                        "MTB DETECTED & Rif Resistance NOT detected",
                    ),
                    (
                        "mtb_detected_rif_resistance_indeterminate",
                        "MTB DETECTED & Rif Resistance INDETERMINATE",
                    ),
                    ("mtb_not_detected", "MTB NOT detected"),
                    ("N/A", "Not applicable"),
                ],
                default="N/A",
                max_length=45,
                verbose_name="Sputum Gene-Xpert results",
            ),
        ),
    ]
